## mod-spamhaus 0.7

=== Makefile ===
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#	    
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#			    
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

APXS=apxs2
APXS_OPTS=-Wc, -Wc,-DDST_CLASS=3
SRC=src/mod_spamhaus.c
OBJ=src/.libs/mod_spamhaus.so

$(OBJ): $(SRC)
	@echo 
	$(APXS) $(APXS_OPTS) -c $(SRC)
	@echo
	@echo write '"make install"' to install module
	@echo

install: $(OBJ)
	$(APXS) $(APXS_OPTS) -i -a -n spamhaus src/mod_spamhaus.la

clean:
	rm -f src/.libs/*
	rm -f src/*.o
	rm -f src/*.lo
	rm -f src/*.la
	rm -f src/*.slo
	rmdir src/.libs

=== debian/changelog ===
mod-spamhaus (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to Apache 2.4 (closes: #666847).
  * Rename mod-spamhaus.conf and mod-spamhaus.load to the standard form of
    spamhaus.conf and spamhaus.load, otherwise the prerm/postrm scripts
    generated by dh_apache2 are unable to unload the module.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Jul 2013 11:00:10 +0100

mod-spamhaus (0.7-1) unstable; urgency=low

  * Initial release (Closes: #503395)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 02 Nov 2008 10:50:43 +0100

=== debian/control ===
Source: mod-spamhaus
Section: web
Priority: extra
Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Build-Depends: debhelper (>= 5), dh-apache2, apache2-dev
Standards-Version: 3.8.0
Homepage: http://sourceforge.net/projects/mod-spamhaus/

Package: libapache2-mod-spamhaus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Apache DNSBL module that blocks listed IP addresses
 mod_spamhaus is an Apache module for DNS Block Listing that protects web
 services by denying access to particular IP addresses. It can stop spam
 relaying via web form URL injection, and block HTTP DDoS attacks from
 bot-nets.
 .
 It queries sbl-xbl.spamhaus.org, taking advantage of the Spamhaus Block
 List (SBL) and the Exploits Block List (XBL).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



build: build-stamp

build-stamp: 
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	mkdir -p src/.libs
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_apache2
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/mod-spamhaus/mod-spamhaus-(.+)\.tar\.gz
